/*******************************************************************************
* File Name: Input_voltage.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Input_voltage_ALIASES_H) /* Pins Input_voltage_ALIASES_H */
#define CY_PINS_Input_voltage_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Input_voltage_0		(Input_voltage__0__PC)
#define Input_voltage_0_PS		(Input_voltage__0__PS)
#define Input_voltage_0_PC		(Input_voltage__0__PC)
#define Input_voltage_0_DR		(Input_voltage__0__DR)
#define Input_voltage_0_SHIFT	(Input_voltage__0__SHIFT)


#endif /* End Pins Input_voltage_ALIASES_H */


/* [] END OF FILE */
