/*******************************************************************************
* File Name: Encoder_PhotoDiode_Pin.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Encoder_PhotoDiode_Pin_ALIASES_H) /* Pins Encoder_PhotoDiode_Pin_ALIASES_H */
#define CY_PINS_Encoder_PhotoDiode_Pin_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Encoder_PhotoDiode_Pin_0		(Encoder_PhotoDiode_Pin__0__PC)
#define Encoder_PhotoDiode_Pin_0_PS		(Encoder_PhotoDiode_Pin__0__PS)
#define Encoder_PhotoDiode_Pin_0_PC		(Encoder_PhotoDiode_Pin__0__PC)
#define Encoder_PhotoDiode_Pin_0_DR		(Encoder_PhotoDiode_Pin__0__DR)
#define Encoder_PhotoDiode_Pin_0_SHIFT	(Encoder_PhotoDiode_Pin__0__SHIFT)


#endif /* End Pins Encoder_PhotoDiode_Pin_ALIASES_H */


/* [] END OF FILE */
