/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include <main.h>
int desired;
int actual;

void openValve(){
    Solenoid_Pin_Write(1);
    //Encoder_LED_Pin_Write(~Encoder_LED_Pin_Read());        
    //Encoder_Photodiode_Pin_Write(~Encoder_Photodiode_Pin_Read());        
}

void closeValve(){
    Solenoid_Pin_Write(0);
    //Encoder_LED_Pin_Write(~Encoder_LED_Pin_Read());
    //Encoder_Photodiode_Pin_Write(~Encoder_Photodiode_Pin_Read());        
}

CY_ISR(Lubrication_Timer_Int_Handler){
    LubricationTimer_ClearInterrupt(LubricationTimer_INTR_MASK_TC);
    LubricationTimer_Stop();
  
    LubricationTimer_ReadStatus();
    
    // let the processor know we finished lubricating
    closeValve();
    didFinishLubricationCycle(desired, actual);
}

void runEncoderForDesiredLubricationPeriod(int userDesiredLubricationPeriod)
{
    // TODO: get from dan...create code that turns the lubrication amount into a max encoder pulse count
                       
    // turn on the solenoid so it will pull open the valve
    openValve();
    
    // wait for timer
    
    LubricationTimer_SetInterrupt(LubricationTimer_INTR_MASK_TC);
    LubricationTimer_WritePeriod(userDesiredLubricationPeriod);
    LubricationTimer_WriteCounter(0);
    Lubrication_Timer_Int_StartEx(Lubrication_Timer_Int_Handler);
    LubricationTimer_Enable();
    LubricationTimer_Start();  
    
}
/* [] END OF FILE */
